Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.j3d.threeD.raytracer.util
Interface Editable

All Known Implementing Classes:
  BlendingShader, DiffuseShader, HighlightShader, ImageTexture, ReflectionShader, RefractionShader, ShaderTreeNode, SilhouetteShader, StripeTexture, TextureShader

    public interface Editable

Classes that implement the Editable interface can have editable properties modified with a general set of methods.

Author:
  Mike Murray

Nested Class Summary
`static class` | `Editable.Selection` An Editable.Selection object stores a set of options and a selection.

Method Summary
`Producer[]` | `getInputPropertyValues()`
`String[]` | `getPropertyDescriptions()` Returns an array of String objects with descriptions for each editable property of this Editable object.
`String[]` | `getPropertyNames()` Returns an array of String objects with names for each editable property of this Editable object.
`Class[]` | `getPropertyTypes()` Returns an array of Class objects representing the class types of each editable property of this Editable object.
`Object[]` | `getPropertyValues()` Returns the values of the properties of this Editable object as an Object array.
`void` | `setInputPropertyValue(int index, Producer p)`
`void` | `setPropertyValue(Object value, int index)` Sets the value of the property of this Editable object at the specified index to the specified value.
`void` | `setPropertyValues(Object[] values)` Sets the values of properties of this Editable object to those specified.

Method Detail

### getPropertyNames

    String[] getPropertyNames()

  Returns an array of String objects with names for each editable property of this Editable object.

### getPropertyDescriptions

    String[] getPropertyDescriptions()

  Returns an array of String objects with descriptions for each editable property of this Editable object.

### getPropertyTypes

    Class[] getPropertyTypes()

  Returns an array of Class objects representing the class types of each editable property of this Editable object.

### getPropertyValues

    Object[] getPropertyValues()

  Returns the values of the properties of this Editable object as an Object array.

### setPropertyValue

    void setPropertyValue(Object value,
                          int index)

  Sets the value of the property of this Editable object at the specified index to the specified value.

### setPropertyValues

    void setPropertyValues(Object[] values)

  Sets the values of properties of this Editable object to those specified.

### getInputPropertyValues

    Producer[] getInputPropertyValues()

  Returns:
    An array of Producer objects containing the property values of those properties that are repeatedly evaluated.

### setInputPropertyValue

    void setInputPropertyValue(int index,
                               Producer p)

  Parameters:
    `index` - Index of input property (array index from this.getInputPropertyValue).
    `p` - Producer object to use for input property.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD